Bug 185188 - After sleep ThinkPad T43 and radeon X300 must switch video outputs to restore tty
After sleep ThinkPad T43 and radeon X300 must switch video outputs to restore...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-11 08:56 EST by Paul W. Frields
Modified: 2015-03-04 20:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 00:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -vv (15.78 KB, text/plain)
2006-03-11 08:58 EST, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2006-03-11 08:56:23 EST
Description of problem:
This system is Rawhide, updated today at ~1300 UTC (0800 Eastern).  I almost
hate to report this bug because I am so thrilled that suspend to RAM now works
on my ThinkPad T43 (Radeon Mobility M300 - M22).  After I resume by opening the
lid, X works perfectly.  But if I hit Ctrl+Alt+F1 to return to a tty, there is
no text on the screen.  Hitting any key to restore the screen does not work,
although the terminal is functional.  I can't see it, but I can log in "blind"
and type commands to see disk activity occur as expected.

If I use the Fn+F7 key to switch the video output three times (this is normally
a cycle of "internal" -> "external" -> "both" -> [loop]), the tty becomes
visible.  The BIOS is set to LCD only, and the laptop is not connected to any
external monitor or docking station.

None of this affects X; whether I perform the video switching trick or not, I
can hit {Ctrl+,}Alt+F7 and the X display works normally.


Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2041_FC5

How reproducible:
Every time

Steps to Reproduce:
1. Boot system to 2041 kernel, runlevel 5.
2. Log in to desktop, wait for things to settle.
3. Close lid to suspend to RAM.
4. Reopen lid, and when screensaver or password dialog appears, hit Ctrl+Alt+F1
for tty1.
5. No text, hitting any key does not restore display.
6. Hit Fn+7 three times to restore tty.
  
Actual results:
tty does not show text

Expected results:
tty should be visible
Comment 1 Paul W. Frields 2006-03-11 08:58:57 EST
Created attachment 125995 [details]
Output of lspci -vv
Comment 2 Paul W. Frields 2006-03-17 15:17:12 EST
Problem persists in kernel 2.6.15-1.2054_FC5.

Two amendments to previous information:
1.  Step 6 - hit Fn+F7 *twice* to restore tty.
2.  This is, of course, using the stock drivers, no kernel taint here.
Comment 3 Paul W. Frields 2006-08-01 11:57:17 EDT
Problem persists in 2.6.17-1.2157_FC5.
Comment 4 Till Maas 2007-08-30 10:56:44 EDT
FC5 is now end of life, so sadly this bug won't be fixed in this release. Is
this bug still presend in FC6 or F7?
Comment 5 Paul W. Frields 2007-09-12 19:35:57 EDT
Unfortunately, I don't have access to that laptop anymore so I can't provide an
answer.  I'm clearing the needinfo flag set to me but leaving the status as is.
Comment 6 Till Maas 2007-09-13 00:50:46 EDT
In case someone still has problems with this setup and a recent Fedora Release,
please reopen.

Note You need to log in before you can comment on or make changes to this bug.